﻿using System;

namespace ELTE.BoardGame.Persistence
{
    /// <summary>
    /// Táblajáték adatelérés interfésze.
    /// </summary>
    public interface IPersistence
    {
        /// <summary>
        /// Fájl betöltése.
        /// </summary>
        /// <param name="path">Elérési útvonal.</param>
        /// <returns>A beolvasott mezőértékek.</returns>
        FieldData[] Load(String path);

        /// <summary>
        /// Fájl mentése.
        /// </summary>
        /// <param name="path">Elérési útvonal.</param>
        /// <param name="values">A mezőértékek.</param>
        void Save(String path, FieldData[] values);
    }
}
